Skip to main content
GET
/
api
/
v3
/
{teamSlug}
/
{projectId}
/
columns
curl -X GET "https://fluar.com/api/v3/acme-corp/proj_550e8400e29b41d4a716446655440000/columns" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "success": true,
  "columns": [
    {
      "id": "_trigger",
      "header": "Input",
      "type": "manual",
      "dataShape": "text",
      "order": 0,
      "trigger": true
    },
    {
      "id": "col_bbb222",
      "header": "Company",
      "type": "manual",
      "dataShape": "text",
      "order": 1,
      "trigger": false
    },
    {
      "id": "col_ccc333",
      "header": "AI Summary",
      "type": "ai",
      "dataShape": "text",
      "order": 2,
      "trigger": false,
      "dependencies": [
        { "columnId": "_trigger", "required": true }
      ],
      "aiConfig": {
        "model": "fluar-default-agent",
        "prompt": "Summarize the company based on @{_trigger}"
      }
    }
  ]
}
Retrieve all column definitions for a project with their full configuration, including AI prompts, task configs, dependencies, and more. This is the single endpoint for reading column data - there is no separate “get column” endpoint.
curl -X GET "https://fluar.com/api/v3/acme-corp/proj_550e8400e29b41d4a716446655440000/columns" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "success": true,
  "columns": [
    {
      "id": "_trigger",
      "header": "Input",
      "type": "manual",
      "dataShape": "text",
      "order": 0,
      "trigger": true
    },
    {
      "id": "col_bbb222",
      "header": "Company",
      "type": "manual",
      "dataShape": "text",
      "order": 1,
      "trigger": false
    },
    {
      "id": "col_ccc333",
      "header": "AI Summary",
      "type": "ai",
      "dataShape": "text",
      "order": 2,
      "trigger": false,
      "dependencies": [
        { "columnId": "_trigger", "required": true }
      ],
      "aiConfig": {
        "model": "fluar-default-agent",
        "prompt": "Summarize the company based on @{_trigger}"
      }
    }
  ]
}